#pragma once

#include <SFML/Graphics.hpp>

struct Color
{
	Color() = default;
	Color(float r_in, float g_in, float b_in, float a_in);

	Color(sf::Color color_in);

	sf::Color sfml();

	float* imgui();

	float r{};
	float g{};
	float b{};
	float a{1.f};
};